<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ssm.manage.mapper.CoursePayListMapper">

    <resultMap type="com.ssm.manage.entity.CoursePayList" id="CoursePayListMap">
        <result property="id" column="id" jdbcType="BIGINT"/>
        <result property="docNum" column="doc_num" jdbcType="VARCHAR"/>
        <result property="courseBeforeMoney" column="course_before_money" jdbcType="DECIMAL"/>
        <result property="courseAfterMoney" column="course_after_money" jdbcType="DECIMAL"/>
        <result property="courseAccountId" column="course_account_id" jdbcType="BIGINT"/>
        <result property="courseBeforeUsableMoney" column="course_before_usable_money" jdbcType="DECIMAL"/>
        <result property="courseAfterUsableMoney" column="course_after_usable_money" jdbcType="DECIMAL"/>
        <result property="courseBeforeCount" column="course_before_count" jdbcType="INTEGER"/>
        <result property="courseAfterCount" column="course_after_count" jdbcType="INTEGER"/>
        <result property="courseBeforeUsableCount" column="course_before_usable_count" jdbcType="INTEGER"/>
        <result property="courseAfterUsableCount" column="course_after_usable_count" jdbcType="INTEGER"/>
        <result property="rollOffMoney" column="roll_off_money" jdbcType="DECIMAL"/>
        <result property="rollOffCount" column="roll_off_count" jdbcType="INTEGER"/>
        <result property="rechargeTurnCourseId" column="recharge_turn_course_id" jdbcType="BIGINT"/>
        <result column="course_project_id" jdbcType="BIGINT" property="courseProjectId" />
        <result column="course_project_name" jdbcType="VARCHAR" property="courseProjectName" />
        <result column="course_project_num" jdbcType="VARCHAR" property="courseProjectNum" />
        <result column="price" jdbcType="DECIMAL" property="price" />
        <result column="store_id" jdbcType="BIGINT" property="storeId" />
        <result column="store_name" jdbcType="VARCHAR" property="storeName" />
        <result column="sales_achievement" jdbcType="DECIMAL" property="salesAchievement" />
        <result column="sales_commission" jdbcType="DECIMAL" property="salesCommission" />
        <result column="card_sales_achievement" jdbcType="DECIMAL" property="cardSalesAchievement" />
        <result column="card_sales_commission" jdbcType="DECIMAL" property="cardSalesCommission" />
    </resultMap>
</mapper>

